# What Makes a Good Diffusion Planner for Decision Making?

This is the codebase of Diffusion Veteran in "What Makes a Good Diffusion Planner for Decision Making?"

# 🛠️ Setup
Let's start with python 3.9. It's recommend to create a `conda` env:

## Create a new conda environment 
```
conda create -n veteran python=3.9 mesalib glew glfw -c conda-forge -y
conda activate veteran
```

## Install for MuJoCo Simulator and mujoco-py (Important)
Install mujoco following the instruction [here](https://github.com/openai/mujoco-py#install-mujoco).

```shell
#!/bin/bash
sudo apt-get update && sudo apt-get install -y wget tar libosmesa6-dev libgl1-mesa-glx libglfw3 patchelf cmake
sudo ln -s /usr/lib/x86_64-linux-gnu/libGL.so.1 /usr/lib/x86_64-linux-gnu/libGL.so
echo $USER_DIR
wget -c "https://mujoco.org/download/mujoco210-linux-x86_64.tar.gz"
mkdir -p /home/$USER_DIR/.mujoco
cp mujoco210-linux-x86_64.tar.gz /home/$USER_DIR/mujoco.tar.gz
rm mujoco210-linux-x86_64.tar.gz
mkdir -p /home/$USER_DIR/.mujoco
tar -zxvf /home/$USER_DIR/mujoco.tar.gz -C /home/$USER_DIR/.mujoco
echo "export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/$USER_DIR/.mujoco/mujoco210/bin" >> ~/.bashrc
echo "export MUJOCO_PY_MUJOCO_PATH=/home/$USER_DIR/.mujoco/mujoco210" >> ~/.bashrc
```

## Install 
```
pip install -r pre_requirements.txt
pip install -e .
pip install -r requirements.txt
```

Note you may have to follow https://pytorch.org/ setup instructions for installation on your own machine.

# 💻 Training
Please change the config in `scripts/train_template.sh` for all the experiments. Refer to the script for more details.
```shell
. scripts/train_template.sh
```

# 👀 Inference
Please change the config in `scripts/inference_template.sh` for all the experiments. Refer to the script for more details.
```shell
. scripts/inference_template.sh
```

# 🏷️ Acknowledgements
This code is modified from the [Cleandiffuser](https://github.com/CleanDiffuserTeam/CleanDiffuser) repo. Please see the [license](LICENSE) for further details.