# We provide default settings in `config` on all tasks for MCSS. 
# For other guidance types, grid searching for inference hyperparameters is encouraged.
# (e.g. w_cfg, w_cg, target_return for CFG and CG)
# For these guidance types, all the results in our paper use the best task-specific hyperparameters.

task="kitchen-partial-v0" # change task with desired ones
pipeline="kitchen" # set corresponding environment
model="veteran"

planner_net="transformer" # ["transformer", "unet"]
guidance_type="MCSS" # ["MCSS", "CFG", "CG"]
pipeline_type="separate" # ["separate", "joint"]

# Training settings here
stride=4 
planner_d_model=256
planner_depth=2
# ...
# more configs

python pipelines/${model}_d4rl_${pipeline}.py \
    mode=train \
    task.stride=$stride \
    task.planner_d_model=$planner_d_model
    # ...
    # more configs
